> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Live Data and Document information

> Retrieve all Client Software information.



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json post /api/Knowledge/recall
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/Knowledge/recall:
    post:
      tags:
        - Knowledge
      summary: Retrieve Live Data and Document information
      description: Retrieve all Client Software information.
      operationId: RecallKnowledge
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecallKnowledgeRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/RecallKnowledgeRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RecallKnowledgeRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KnowledgeDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    RecallKnowledgeRequest:
      required:
        - query
      type: object
      properties:
        userId:
          $ref: '#/components/schemas/ChatKnowledgeUser'
        projectId:
          type: string
          description: Project identifier to search knowledge within
          nullable: true
          example: project_abc
        type:
          type: string
          description: Type of knowledge to search for
          nullable: true
          example: listing,document
        query:
          minLength: 1
          type: string
          description: Search query
          example: What is the listing with the highest taxe rate?
        chatHistory:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    KnowledgeDto:
      type: object
      properties:
        content:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        metadata:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
    ChatKnowledgeUser:
      type: object
      properties:
        recallio_anon_id:
          type: string
          nullable: true
        user_id:
          type: string
          nullable: true
        user_hash:
          type: string
          nullable: true
        user_metadata:
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        role:
          type: string
          nullable: true
        content:
          type: string
          nullable: true
        tool_calls:
          type: array
          items:
            $ref: '#/components/schemas/ToolCall'
          nullable: true
        tool_call_id:
          type: string
          nullable: true
      additionalProperties: false
    ToolCall:
      type: object
      properties:
        id:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        function:
          $ref: '#/components/schemas/ToolFunction'
      additionalProperties: false
    ToolFunction:
      type: object
      properties:
        name:
          type: string
          nullable: true
        arguments:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````